<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package SKT Charm Lite
 */

$footerlayout = of_get_option('footerlayout');

?>
 
<div id="footer-wrapper">
<div class="container">
    	<div class="footer">
       
        	 
        	<div class="footercols-3">
        	<div class="footer-cols widget-column-1">
            <h4><?php if( of_get_option('footerabttitle',true) != '') { echo of_get_option('footerabttitle'); }; ?></h4>
        	<div class="footer-col-3">  
           		 <?php if( of_get_option('footerabdesc') != ''){ echo do_shortcode(of_get_option('footerabdesc', true));}; ?>           	
            </div>
            </div>
            <div class="footer-cols widget-column-2">
            <h4><?php if( of_get_option('recenttitle') != ''){ echo of_get_option('recenttitle');}; ?></h4>
            <div class="footer-col-3">
            	 <?php echo do_shortcode('[sidebarpost catname="" showposts="3" sidecontlength="5" cattitle="" titlecolor="" cattitlecolor=""]'); ?>
            </div>
            </div>
            <div class="footer-cols widget-column-4 last_column">
            <h4><?php if( of_get_option('popularposttitle') != '') { echo of_get_option('popularposttitle'); } ; ?></h4>
            <div class="footer-col-3">            	
             <?php if( of_get_option('popularpos') != ''){ echo do_shortcode(of_get_option('popularpos', true));}; ?> 
             <div class="clear"></div>                    
            </div>
            </div>
            <div class="clear"></div>
            </div>
             
        </div>
        
</div><!--end .container -->         
         </div><!--end #wrapper-->     
        <div class="copyright-wrapper">
        	<div class="container">
            	<div class="copyright-txt"><?php if( of_get_option('copytext',true) != ''){ echo of_get_option('copytext',true); }; ?></div>
                <div class="design-by"><?php if( is_home() && is_front_page() || is_home() || is_front_page()) {?>
                <a class="cprt" href="<?php echo esc_url('https://www.sktthemes.org/shop/free-blog-template-wordpress/');?>" target="_blank">
                <?php esc_html_e('SKT Charm Lite','complete'); ?>
                </a>
                <?php } else {?>
                <?php esc_html_e('SKT Charm Lite','complete'); ?>
                <?php } ?></div>
            <div class="clear"></div>
            </div>
            <div class="clear"></div>
        </div>
</div><!--end #main-->   
<?php wp_footer(); ?>
</body>
</html>